Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DistributedObject Class Reference

Inheritance diagram for DistributedObject:

List of all members.

## Public Member Functions
def | __init__
def | addInterest
def | announceGenerate
def | b_setLocation
def | d_setLocation
def | delete
def | deleteOrDelay
def | disable
def | disableAndAnnounce
def | disableAnnounceAndDelete
def | doCallbackContext
def | doneBarrier
def | execCommand
def | flushCachedData
def | generate
def | generateInit
def | getAutoInterests
def | getBarrierData
def | getCacheable
def | getCachedData
def | getCallback
def | getCallbackArgs
def | getCallbackContext
def | getCurrentContexts
def | getDelayDeleteCount
def | getDelayDeleteEvent
def | getDisableEvent
def | getDoId
def | getLocation
def | getNeverDisable
def | getParentObj
def | hasCachedData
def | isDisabled
def | isGenerated
def | isGridParent
def | isLocal
def | postGenerateMessage
def | removeInterest
def | sendDeleteMsg
def | sendDisableMsg
def | sendUpdate
def | setBarrierData
def | setCacheable
def | setCachedData
def | setLocation
def | setNeverDisable
def | status
def | taskName
def | uniqueName
def | updateAllRequiredFields
def | updateRequiredFields
def | updateRequiredOtherFields
## Public Attributes
| activeState
| cacheable
| cr
| dclass
| destroyDoStackTrace
| DistributedObject_deleted
| DistributedObject_initialized
| neverDisable
| parentId
| zoneId
## Static Public Attributes
int | neverDisable = 0
tuple | notify = directNotify.newCategory("DistributedObject")

## Detailed Description

    The Distributed Object class is the base class for all network based
    (i.e. distributed) objects.  These will usually (always?) have a
    dclass entry in a *.dc file.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cr
| ) |  |

Reimplemented in DistributedNode, DistributedSmoothNode, and TimeManager.

## Member Function Documentation

def addInterest | ( |  | self,
|  |  | zoneId,
|  |  | note = `""`,
|  |  | event = `None`
| ) |  |

def announceGenerate | ( |  | self | ) |

    Sends a message to the world after the object has been
    generated and all of its required fields filled in.

Reimplemented in TimeManager.

def b_setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId
| ) |  |

def d_setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId
| ) |  |

def delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete

Reimplemented in DistributedNode, DistributedSmoothNode, and TimeManager.

def deleteOrDelay | ( |  | self | ) |

def disable | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on disable

Reimplemented in DistributedNode, DistributedSmoothNode, and TimeManager.

def disableAndAnnounce | ( |  | self | ) |

    Inheritors should *not* redefine this function.

def disableAnnounceAndDelete | ( |  | self | ) |

def doCallbackContext | ( |  | self,
|  |  | context,
|  |  | args
| ) |  |

def doneBarrier | ( |  | self,
|  |  | name = `None`
| ) |  |

def execCommand | ( |  | self,
|  |  | string,
|  |  | mwMgrId,
|  |  | avId,
|  |  | zoneId
| ) |  |

def flushCachedData | ( |  | self,
|  |  | name
| ) |  |

def generate | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on generate

Reimplemented in DistributedNode, DistributedSmoothNode, and TimeManager.

def generateInit | ( |  | self | ) |

    This method is called when the DistributedObject is first introduced
    to the world... Not when it is pulled from the cache.

def getAutoInterests | ( |  | self | ) |

def getBarrierData | ( |  | self | ) |

def getCacheable | ( |  | self | ) |

def getCachedData | ( |  | self,
|  |  | name
| ) |  |

def getCallback | ( |  | self,
|  |  | context
| ) |  |

def getCallbackArgs | ( |  | self,
|  |  | context
| ) |  |

def getCallbackContext | ( |  | self,
|  |  | callback,
|  |  | extraArgs = `[]`
| ) |  |

def getCurrentContexts | ( |  | self | ) |

def getDelayDeleteCount | ( |  | self | ) |

def getDelayDeleteEvent | ( |  | self | ) |

def getDisableEvent | ( |  | self | ) |

def getDoId | ( |  | self | ) |

    Return the distributed object id

def getLocation | ( |  | self | ) |

def getNeverDisable | ( |  | self | ) |

def getParentObj | ( |  | self | ) |

def hasCachedData | ( |  | self,
|  |  | name
| ) |  |

def isDisabled | ( |  | self | ) |

    Returns true if the object has been disabled and/or deleted,
    or if it is brand new and hasn't yet been generated.

def isGenerated | ( |  | self | ) |

    Returns true if the object has been fully generated by now,
    and not yet disabled.

def isGridParent | ( |  | self | ) |

def isLocal | ( |  | self | ) |

def postGenerateMessage | ( |  | self | ) |

def removeInterest | ( |  | self,
|  |  | handle,
|  |  | event = `None`
| ) |  |

def sendDeleteMsg | ( |  | self | ) |

def sendDisableMsg | ( |  | self | ) |

def sendUpdate | ( |  | self,
|  |  | fieldName,
|  |  | args = `[]`,
|  |  | sendToId = `None`
| ) |  |

def setBarrierData | ( |  | self,
|  |  | data
| ) |  |

def setCacheable | ( |  | self,
|  |  | bool
| ) |  |

def setCachedData | ( |  | self,
|  |  | name,
|  |  | data
| ) |  |

def setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId
| ) |  |

def setNeverDisable | ( |  | self,
|  |  | bool
| ) |  |

def status | ( |  | self,
|  |  | indent = `0`
| ) |  |

    print out "doId(parentId, zoneId) className
        and conditionally show generated, disabled, neverDisable,
        or cachable"

def taskName | ( |  | self,
|  |  | taskString
| ) |  |

def uniqueName | ( |  | self,
|  |  | idString
| ) |  |

def updateAllRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di
| ) |  |

def updateRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di
| ) |  |

def updateRequiredOtherFields | ( |  | self,
|  |  | dclass,
|  |  | di
| ) |  |

## Member Data Documentation

activeState

cacheable

cr

dclass

destroyDoStackTrace

DistributedObject_deleted

DistributedObject_initialized

neverDisable

int neverDisable = 0`[static]`

tuple notify = directNotify.newCategory("DistributedObject")`[static]`

Reimplemented in TimeManager.

parentId

zoneId

All Classes Namespaces Functions Variables Enumerations Enumerator Properties